Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.tpa
Class CAInstance

    java.lang.Object
      |
      +--com.bea.b2b.tpa.CAInstance

public class CAInstance
extends java.lang.Object

This class represents Collaboration Agreement in Collaborate Server runtime.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getBusinessProcessName()` Get business process (conversation-definition) name associated with the agreement.
`java.lang.String` | `getBusinessProcessVersion()` Get business process (conversation-definition) version associated with the agreement.
`java.lang.String` | `getBusinessProtocolName()` Get name of the business protocol associated with this agreement.
`java.lang.String` | `getBusinessProtocolVersion()` Get version of the business protocol associated with this agreement.
`java.lang.String` | `getId()` Get global identifier of this Collaboration Agreement.
`java.lang.String` | `getName()`
`PartyInstance` | `getPartyInstance(java.lang.String tradingPartner, java.lang.String role)` Get party for specified trading partner in specified role.
`java.util.Iterator` | `getPartyInstances()` Get parties involved in this agreement.
`java.util.ArrayList` | `getRoles()` Get roles of business process(conversation-definition) associated with this agreement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public java.lang.String getId()

  Get global identifier of this Collaboration Agreement.

### getName

    public java.lang.String getName()

### getPartyInstances

    public java.util.Iterator getPartyInstances()

  Get parties involved in this agreement.

### getPartyInstance

    public PartyInstance getPartyInstance(java.lang.String tradingPartner,
                                          java.lang.String role)

  Get party for specified trading partner in specified role.

### getBusinessProcessName

    public java.lang.String getBusinessProcessName()

  Get business process (conversation-definition) name associated with the agreement.

  Returns:
    conversation-definition name in Collaborate repository

### getBusinessProcessVersion

    public java.lang.String getBusinessProcessVersion()

  Get business process (conversation-definition) version associated with the agreement.

  Returns:
    conversation-definition version in Collaborate repository

### getRoles

    public java.util.ArrayList getRoles()

  Get roles of business process(conversation-definition) associated with this agreement.

  Returns:
    an array of strings representing role names

### getBusinessProtocolName

    public java.lang.String getBusinessProtocolName()

  Get name of the business protocol associated with this agreement.

### getBusinessProtocolVersion

    public java.lang.String getBusinessProtocolVersion()

  Get version of the business protocol associated with this agreement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)